import pygame
import math
from euclid import Vector2
from pygame.locals import *
from soultrip.constants import * 
from soultrip.data import loadimage, loadfont
from soultrip.game import Game
import sys
#from profilehooks import profile

#@profile
def main():
    pygame.init()
    pygame.mixer.init()
    screen = pygame.display.set_mode((RESOLUTION_X, RESOLUTION_Y), pygame.SRCALPHA)
    screen.convert_alpha()

    FPS = 24
    time = 0
    clock = pygame.time.Clock()

    main_loop = True;

    g = Game()
    #r = Rune(Vector2(300, 800), Vector2(0,30), 3)


    while main_loop:
        milliseconds = clock.tick(FPS)
        dt = milliseconds / 100.0
        time += dt
        g.update(dt)
        g.draw(screen)

        if g.exit:
            main_loop = False

        pos = pygame.mouse.get_pos()
        pygame.display.set_caption("[FPS]: %.2f - X: %d Y: %d" % (clock.get_fps(), pos[0], pos[1]))
        pygame.display.flip()

    pygame.quit()
    sys.exit()