import pygame
from pygame import Rect
from euclid import Vector2

class StageObject(object):
    def __init__(self):
        self.rect = None
        #self.recalculate_rect()
        self.pos = Vector2(0, 0)
        self.extents = (0, 0)

    def recalculate_rect(self):
        self.rect = Rect(self.pos.x - self.extents[0]/2, self.pos.y - self.extents[1]/2, self.extents[0], self.extents[1])

    def update(self, dt):
        self.recalculate_rect()

    def draw(self, surface):
        pygame.draw.rect(surface, (255,100,255), self.rect)